package com.pcloud.book.skill.dao;

import com.pcloud.book.keywords.entity.RobotSkill4H5;
import com.pcloud.book.keywords.entity.TempRobotSkill;
import com.pcloud.book.keywords.vo.LabelVO;
import com.pcloud.book.skill.entity.PcloudSkill;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudSkillDao extends BaseDao<PcloudSkill> {
    void updateSeqNum(Long id, Integer seqNum);

    List<RobotSkill4H5> getSkillList4TimeController(Integer type, Long labelId, String wxUserId);

    List<RobotSkill4H5> getSkillList4Activity(Integer type, Long labelId);

    List<RobotSkill4H5> getSkillList4Resource(Integer type, Long labelId);

    List<Long> getLabelList4Activity(Integer type);

    List<Long> getLabelList4TimeController(Integer type);

    List<Long> getLabelList4Resource(Integer type);

    Integer getMaxSeqNum();

    PcloudSkill getByRelId(Integer relSkillId, Integer type);
}
